Package Gnumed :: Package business :: Module gmPathLab :: Class cTestResult |
[frames] | no frames]

# Class cTestResult

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cTestResult

Represents one test result.

Instance Methods
format(self, with_review=True, with_comments=True, date_format=`'``%Y-%m-%d %H:%M``'`) | source code
set_review(self, technically_abnormal=None, clinically_relevant=None, comment=None, make_me_responsible=False) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| reference_ranges
Inherited from `object`: `__class__`

Property Details

### reference_ranges Get Method: _get_reference_ranges(self) Set Method: _set_reference_ranges(self, val)